Pregunta sobre WooCommerce de Wordpress:

Actualizaci贸n de PHP de 5.2 a 7.2

Un usuario pregunt贸 馃憞

Hola amigos, estoy ayudando a un amigo con su correcci贸n de WooCommerce (soy un pene de largo desarrollo pero un WooCommerce virgen) y lo primero que parece tener que hacer es actualizar PHP, todav铆a est谩 en vsn 5.2 y propone actualizar a 7.2.

El sitio y la base de datos se est谩n respaldando autom谩ticamente y la actualizaci贸n de PHP probablemente no lo afectar谩 de todos modos (aparte de romperlo, 隆la raz贸n por la que pregunto aqu铆!), As铆 que creo que estamos seguros en ese sentido, lo que quiero resolver es si presionamos el bot贸n ‘actualizar’ y el sistema WP / WooCommerce desarrolla algunos problemas que son lo suficientemente graves como para poder realizar una copia de seguridad, c贸mo tortura o de otra manera es el camino inverso? – 驴Y d贸nde puedo averiguarlo para que no lo encuentre completamente fresco si es necesario?

鈥 驴O estoy innecesariamente preocupado, tal vez llegamos tan tarde a la fiesta para la actualizaci贸n que todos los problemas se resolvieron hace a帽os?

Gracias de antemano, Chris

(@braehler)

Hace 1 a帽o, 7 meses

No tuvimos ning煤n problema con la actualizaci贸n de php y Woocommerce. Es mejor que ejecute la actualizaci贸n en php primero, que en Woocommerce y actualice la base de datos. Esto se hace mejor a trav茅s de wp cli

(@chrisofthecoffee)

Hace 1 a帽o, 7 meses

Gracias, ese es el plan, PHP primero, luego WP, WooCommerce y plugins.

La actualizaci贸n se realiza a trav茅s de un simple enlace ‘Haga clic aqu铆 para actualizar’, pero probablemente cuando se hace clic en 茅l, no hay un enlace simple ‘regresar a PHP 5.2’; me pregunto c贸mo ser铆a ese proceso.

Por supuesto, hay un 99% de posibilidades de que salga bien, pero quiero saber al menos c贸mo se podr铆a retroceder si todo se estropeara.

(@braehler)

Hace 1 a帽o, 7 meses

Las actualizaciones de PHP dependen de su host. Con nuestro host, podemos 芦cambiar禄 f谩cilmente entre diferentes versiones de php 馃槈 Eso hace la vida m谩s f谩cil. Pruebe la actualizaci贸n en el escenario primero

(@serafinnyc)

Hace 1 a帽o, 7 meses

Para agregar este @chrisofthecoffee, si tiene dudas, use un plugin de compatibilidad que le permitir谩 saber si tiene problemas mientras pasa a una versi贸n php m谩s potente. WPEngine es un plugin muy bueno.

Puede encontrar falsos positivos, pero en mi experiencia no es una pregunta. Al menos tiene una idea sobre los plugins que debe mirar antes de actualizar.

Esto es genial alt y tiene la URL con el plugin

(@chrisofthecoffee)

Hace 1 a帽o, 7 meses

Oye, gracias por eso, acabo de leer el art铆culo que vinculaste.

Qu茅 gran idea, escribir un plugin que fomente sistem谩ticamente cualquier molestia que pueda tener la actualizaci贸n de PHP e informar los resultados, 隆buen concepto!

Definitivamente lo usar茅, debo iniciar sesi贸n en el host uno o dos d铆as m谩s tarde, luego construir茅 un sitio de prueba a partir de las copias de seguridad en vivo y podr茅 jugar con 茅l.

(@serafinnyc)

Hace 1 a帽o, 7 meses

Brillante, 驴verdad? Me pregunto por qu茅 dejaron de trabajar en eso. Tengo que hacerles una pregunta ya que ahora estoy de guardia con ellos.

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada.